/*********************************************************
File:   ads.h
Author: Jan Rohde
Date:   4.6.07
Description:  
*********************************************************/
#ifndef _ADS_H_
#define _ADS_H_


#include <msp430x16x.h>
#include <math.h>

#include "ads_std_hdr.h"
#include "matrix_operations.h"
#include "ekf.h"
#include "magnetometer.h"
#include "sunsensors.h"


//************************************************************


/******************************************************
constants
******************************************************/
#define IDLE 0
#define INITIATE_SYSTEM 1
#define ESTIMATE 2
#define COMMUNICATE 3

#define MEASUREMENTS  6      //[Bx By Bz Sx Sy Sz]
#define STATES        6

#define NX  (STATES)
#define NY  (MEASUREMENTS)


/******************************************************
init values
******************************************************/
float Q_dv[NX] = {8.5e-9, 8.5e-9, 8.5e-9, 8.5e-12, 8.5e-12, 8.5e-12};
float P_dv[NX] = {1.0e-6, 1.0e-6, 1.0e-6, 1.0e-10, 1.0e-10, 1.0e-10};
float R_dv[3] = {3.3884e-06, 3.3202e-07, 3.8270e-07};


void ads(void);
void initEKF(float ***, Quaternion);
void init_uc(void);
void twi_communication_init(void);
void sun_sensor_init(void)
void magnetometer_communication_init(void);

#endif  /*_ADS_H_*/
