/*********************************************************
File:   ads_std_hdr.h
Author: Jan Rohde
Date:   4.6.07
Description:  a standard headerfile for the ads system
*********************************************************/
#ifndef _ADS_STD_HDR_H_
#define _ADS_STD_HDR_H_

#include <inttypes.h>

typedef struct quat {
  float eta;
  float eps[3];
} Quaternion;

#define FALSE 0
#define TRUE  1
//#define NULL (void*)0

#define F_CPU 8000000 // MCLK clock frequency

/*
  There is a limit as to how fast command bytes can be received.
  The neccesary waiting time is maximun 20msec
*/
#define MAG_RATE_DELAY 20

/*
  Size of the magnetometer reading when in binary mode
*/
#define MAG_MEASUREMENT_SIZE 7

/*
  Baudrate for magnetometer
*/
#define MAG_BAUDRATE 9600

/*
  Magnetometer timeout (ms)
*/
#define MAG_TIMEOUT 200





#endif /*_ADS_STD_HDR_H_*/
