/*********************************************************
File:   ekf.h
Author: Jan Rohde
Date:   4.6.07
Description:  
*********************************************************/
#ifndef _EKF_H_
#define _EKF_H_

#include <math.h>
#include "ads_std_hdr.h"
#include "matrix_operations.h"

/******************************************************
functions
******************************************************/


void GetMeasurement(float **, float **);
void GenerateJacobian(float **[], Quaternion []);
void CreateM(float **[], Quaternion []);
void Calculate_q_hat(float **[], Quaternion []);
void CreateK(float **[], Quaternion []);
void UpdateEstimationError(float **[], Quaternion []);
void UpdateStateEstimation(float **[], Quaternion []);
void UpdateErrorCovariance(float **[], Quaternion []);
void UpdateStateTransitionMatrices(float **[], Quaternion []);
void StatePropagation(float **[], Quaternion []);
void TransmitEstimates(float **);

void create_linearsysR_elements(float **, float **, float **, float **, float **, float);
static void create_dm(float **, float **, float **, float **, Quaternion);

#endif  /*_EKF_H_*/
