/*********************************************************
File:   Magnetometer.h
Author: Jan Rohde
Date:   4.6.07
Description:  
*********************************************************/
#ifndef _MAGNETOMETER_H_
#define _MAGNETOMETER_H_

#include <inttypes.h>
#include "ads_std_hdr.h"

#define CR_CHAR 0x0D    // Carriace return ascii code

/*
  The magnetometers X-axis is not alligned with the satellites
  X-axis due to its size. A mapping from the magnetometer axis
  to body-axis is needed
*/
#define MAG_X magZ
#define MAG_Y magY
#define MAG_Z magX

#define MAG_BUFF_SIZE 5
#define MAGBUF_ERROR 1


typedef struct {
  int magX;
  int magY;
  int magZ;
} magMeasurement;




#endif /*_MAGNETOMETER_H_*/
