/*********************************************************
File:   matrix_operations.h
Author: Jan Rohde
Date:   4.6.07
Description:  
*********************************************************/
#ifndef _MATRIX_OPERATIONS_H_
#define _MATRIX_OPERATIONS_H_

#include <stdio.h>
#include <stddef.h>
#include <stdlib.h>
#include <math.h>

#include "ads_std_hdr.h"

static void copy_matrix(float **, float **, int, int, int, int);
static void matrix_addition(float **, float **, float **, int, int);
static void matrix_subtraction(float **, float **, float **, int, int);
static void matrix_multiplication(float **, float **, float **, int, int, int);
static void matrix_transpose(float **, float **, int, int);
static void matrix_zeros(float **, int, int);
static void matrix_ident(float **, int);
static void matrix_diag(float **, float *, int);
static void matrix_const_multiplication(float **, float **, int, int, float);
static void skew_matrix_eps(float *, float **);
static void skew_matrix(float **, float **);
static void quat_prod(Quaternion, Quaternion, Quaternion, int);
static void matrix_quat_multiplication(float **, Quaternion, Quaternion);
static void quaternion_vec_subtraction(Quaternion, float **, Quaternion);

float *vector(long nl, long nh);
int *ivector(long nl, long nh);
float **matrix(long nrl, long nrh, long ncl, long nch);
void free_vector(float *v, long nl, long nh);
void free_ivector(int *v, long nl, long nh);
void free_matrix(float **m, long nrl, long nrh, long ncl, long nch);
void gaussj(float **, int, float **, int);

#endif /*_MATRIX_OPERATIONS_H_*/
