function qTilde = qProdinv(quat)
% Calculates the quaternionprodukt of q1 and the conjugate of q2
% Author: Jan Rohde
% input = [q1 q2]'
% Returns: qTilde = q1Xq2^(-1) 

q1 = quat(1:4);
q2 = quat(5:8);
q2(2:4) = -q2(2:4); 
q1x = [0 -q1(4) q1(3); q1(4) 0 -q1(2); -q1(3) q1(2) 0];
qq = q1(2:4)'*q2(2:4);
qTilde = [q1(1)*q2(1)-qq;q1(1)*q2(2:4)+q2(1)*q1(2:4)+q1x*q2(2:4)];